Skip to main content
POST
/
agent-workers
/
projects
/
{project_reference}
/
workers
Register an agent worker
curl --request POST \
  --url https://api.veryfront.com/agent-workers/projects/{project_reference}/workers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "implementation_kind": "<string>",
  "worker_key": "<string>",
  "implementation_display_name": "<string>",
  "display_name": "<string>",
  "metadata": {}
}
'
{
  "worker": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "implementation_kind": "<string>",
    "worker_key": "<string>",
    "display_name": "<string>",
    "status": "active",
    "last_heartbeat_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "metadata": null
  },
  "token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1

Body

application/json
implementation_kind
string
required

The implementation kind associated with this tool result.

Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9_-]+$
worker_key
string
required

The worker key associated with this tool result.

Required string length: 1 - 128
Pattern: ^[a-zA-Z0-9_.:-]+$
implementation_display_name
string
Required string length: 1 - 128
display_name
string | null
Required string length: 1 - 128
metadata
object

Response

201 - application/json

Agent worker registered

worker
object
required
token
string | null